0

معرفی وب سرور لایت اسپید LiteSpeed

معرفی

وب سرور لایت اسپید LiteSpeed ، یکی از  وب سرورهای معروف دنیا میباشد که با apache و nginx، در دنیای وب با  رقابت دارند.

این وب سرور، یک سرویس کاملا متن باز بوده و از عملکرد بسیار بالایی برخوردار است.

 

شرکت لایت اسپید ادعا میکند که این وب سرور میتواند بیش از صد هزار  اتصال همزمان را با کمترین استفاده از منابع Ram و CPU هندل کند.

زبان های PHP،Java،Perl،Ruby از زبان های ساپورت شده توسط این وب سرور میباشند.

همچنین این سرویس دارای یک پنل گرافیکی نیز بوده تا کار را برای ادمین ها آسان تر کند.

راه اندازی

گام اول : آپدیت لیست repository

sudo apt-get update

 

گام دوم: نصب لایت اسپید

wget -O – http://rpms.litespeedtech.com/debian/enable_lst_debain_repo.sh | bash

sudo apt install openlitespeed -y

 

بعد از این مرحله شما باید پیغام موفقیت آمیز بودن نصب را مشاهده کنید.

وب سرور لایت اسپید به صورت پیش فرض، از دو پرت برای سرویس دهی استفاده میکند.

پرت 8088، پرت پیش فرض HTTPD بوده و پرت 7080 نیز پرت پیش فرض admin page میباشد.

با کمک دستور زیر میتوانید از listen این پرت ها مطمئن شوید:

netstat -ntlp

 

همچنین با دو دستور زیر میتوانید سرویس لایت اسپید را استارت کرده و همچنین از وضعیت این سرویس آگاه شوید:

systemctl start lsws
systemctl status lsws

با استفاده از دستور زیر، بعد از بوت سرور، این سرویس خود به خود استارت شده و دیگر نیازی به انجام این کار به صورت دستی نمیباشد:

systemctl enable lsws

 

با زدن آدرس زیر در مرورگر خود، میتوانید صفحه پیش فرض وب سرور را مشاهده کنید:

http://your-ip-address:8088

 

برای دسترسی به دو پرت 8088 و 7080، نیاز است که فایروال سرور را نیز کانفیگ کنید:

ufw allow 8088/tcp
ufw allow 7080/tcp
ufw enable

 

Configure LiteSpeed Admin!

برای راه اندازی پنل گرافیکی لایت اسپید، نیاز است که یک یوزر و پسورد برای آن تعریف کنید:

cd /usr/local/lsws/admin/misc
sh admpass.sh

بعد از ران کردن اسکریپت بالا باید یوزر و پسوردی که در نظر دارید،  درکامند لاین وارد کنید.

سپس از آدرس زیر و با یوزر و پسوردی که چند لحظه ی پیش تعریف کرده اید، میتوانید وارد محیط ادمین شوید:

https://hakase-labs.co:7080/

install LiteSpeed on ubuntu

بیشتر بدانید!

install litespeed

در صورتی که میخواهید از اسکریپت هایی مانند وردپرس که PHP base میباشند استفاده کنید، نیاز است که پکیج های زیر را نیز نصب کنید:

sudo apt install lsphp72 lsphp72-curl lsphp72-imap lsphp72-mysql lsphp72-intl lsphp72-pgsql lsphp72-sqlite3 lsphp72-tidy lsphp72-snmp

 

امتیاز ما
برای امتیاز به این پست کلیک کنید
[کل: 1 میانگین: 5]
ارسال دیدگاه